/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2002 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.dynamo.test;

import java.util.*;
import com.silverwrist.dynamo.velocity.VelocityRenderable;

class TestServlet2Output implements VelocityRenderable
{
  /*--------------------------------------------------------------------------------
   * Attributes
   *--------------------------------------------------------------------------------
   */

  private HashMap m_data;

  /*--------------------------------------------------------------------------------
   * Constructor
   *--------------------------------------------------------------------------------
   */

  TestServlet2Output()
  {
    m_data = new HashMap();
    m_data.put("name","Professor Falken");
    m_data.put("favorite","chess");

    ArrayList list = new ArrayList();

    HashMap m = new HashMap();
    m.put("title","Chess");
    list.add(m);

    m = new HashMap();
    m.put("title","Checkers");
    list.add(m);

    m = new HashMap();
    m.put("title","Global Thermonuclear War");
    list.add(m);

    m_data.put("gameList",list);

  } // end constructor

  /*--------------------------------------------------------------------------------
   * Implementations from interface VelocityRenderable
   *--------------------------------------------------------------------------------
   */

  public String getMimeType()
  {
    return "text/html";

  } // end getMimeType

  public String getTemplateName()
  {
    return "test2.vm";

  } // end getTemplateName

  public Object getParameter(String key)
  {
    return m_data.get(key);

  } // end getParameter

  public Collection getParameterNames()
  {
    return m_data.keySet();

  } // end getParameterNames

} // end class TestServlet2Output
